Compile error when directly calling a Procedure with more then 1 argument
05/10/2020 02:11 PM - Jason Wroe

Status: Closed Start date: 05/10/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4

Affected version: 0.9.9.3

Description

If you call a procedure with more then 1 argument directly there is a compile error eg :-

Procedure MyFuncl[A, B]

c=A*B

End Proc[c]

Print MyFunc(2, 3]

Throws the error "Pass: 1 Cannot read property '0' of undefined as information.getOperand (information.js:425:74)
You can work round this by using the param return eg :-

Procedure MyFuncl[A, B]

c=A*B

End Proc|c]

MyFuncl[2, 3]
Print param

History

#1 - 05/14/2020 02:31 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.9.2

Fixed!

#2 - 05/28/2020 09:08 AM - Jason Wroe

- Status changed from Resolved to Feedback

This is still not fixed in 0.9.9.2 Test 1

#3 - 07/04/2020 09:37 AM - Brian Flanagan
- Affected version changed from 0.9.9 to 0.9.9.3

Still broken in 0.9.9.3 Test 2.

#4 - 08/15/2020 12:54 AM - Brian Flanagan
- Status changed from Feedback to Resolved

- Target version changed from 0.9.9.2 to 0.9.9.4

Apparently, this is now working in 0.9.9.4 rel1.

#5 - 09/04/2020 03:42 PM - Brian Flanagan

- Status changed from Resolved to Closed
